Subject: [SIP] Proxy Routing Logic

From: [email-masked]
Date: Fri, 29 Dec 2000 17:44:27 -0600

Jonathan Rosenberg wrote:
>> -----Original Message-----
> >From: Billy Biggs [mailto:[email-masked]]
> >Sent: Wednesday, December 20, 2000 12:54 PM
> >To: Jo Hornsby
> >Cc: Fairlie-Cuninghame, Robert; Jonathan Rosenberg; Keith
> >Robinson; SIP
> >List
> >Subject: Re: [SIP] Proxy Routing Logic
> >
> >
> >Jo Hornsby ([email-masked]):
> >
> >>>> [Of course there will be always be different routing behaviour
> >>>> depending on whether the request has a Route or not. [...]
> >>>
> >>>   Right, but this decision should only occur after you've
> >decided if
> >>> the request is for you.  It's very important that proxies
> >don't just
> >>> assume the request is meant for them if it happens to appear on one
> >>> of their listening sockets. [...]
> >>
> > >Maybe I'm not following properly, since I'm jumping in
> >mid-stream, as
> >> it were, but if I get a request, I'm going to do my best to
> >honour it.
> >> Maybe I won't know anything about the domain in the Request-URI, but
> > >I'll SRV and A, and hopefully everything will still be okay.
> >
>  > By "honour it" you mean proxy it to the destination indicated by the
> >Request-URI (and maybe add a Record-Route), right?
> .
> >  I just want to make sure proxies don't replace the
> >request-URI blindly
> >with the next Route unless the request is destined for them.

>I believe they should do this, in fact.

>Note that Jo and Robert are correct; consensus was that if a local outbound
>proxy wants to stay on the path, it should record-route. This results in the
>most flexibility (enables outbound proxies who want to see only the initial
>request).

>The more interesting issue is when a local outbound proxy record routes. As
>you pointed out, the RR inserted might look like:

>sip:[email-masked];maddr=outbound.proxy.com

I'm inclined to agree with Billy: maybe we should revisit the idea of including
RURI of received requests in Record-Route. It was a good idea to get around the
problem of forwarding requests if no Contact was added by UA. Even then the RURI

part was used in one direction only. Now, since all UA are required to add
Contact
adding RURI to Record-route doesn't seem to be necessary (obviously I may be
missing
something) and ditching it would simplify a lot, including solving potential
loop
problems.

>However, as we pointed out before, if that proxy received this exact URI
>*without* the next Route header, this would result in a loop. Billy
>indicated he didn't want different routing of the request URI dependent on
>the presence of Route. I agree completely, and have been arguing for this
>property in Route all along.

>A few solutions are possible:

>1. If you send a request to a URI that contains an maddr, and you end up
>sending it to the address in that maddr, strip the maddr out before sending
>the request.
>2. THe proxy should never had inserted this RR in the first place, since
>using it directly will cause a loop. Rather, something like Robert's
>suggestion would be used:
>sip:outbound.proxy.com;uri=[email-masked].

>-Jonathan R.

regards, Jacek Grabiec
sip:[email-masked]

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip